Bug 1605048 (CVE-2018-1333)

Summary: CVE-2018-1333 httpd: mod_http2: Too much time allocated to workers, possibly leading to DoS
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abhgupta, anon.amish, bmaxwell, bmcclain, bnater, bpowers, cdewolf, chazlett, cmacedo, csutherl, darran.lofthouse, dbaker, dblechte, dfediuck, dffrench, dimitris, dosoudil, drusso, eedri, fgavrilo, gzaronik, hhorak, jawilson, jclere, jdoyle, jkaluza, jmadigan, jokerman, jondruse, jorton, jshepherd, lgao, lgriffin, luhliari, mbabacek, mgoldboi, michal.skrivanek, mturk, myarboro, ngough, pahan, pgier, pjurak, ppalaga, psakar, pslavice, pwright, rnetuka, rstancel, rsvoboda, sbonazzo, sherold, sstavrev, sthangav, trankin, trepel, twalsh, vtunka, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: httpd 2.4.34 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:33:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1605049, 1605050, 1609083, 1616051    
Bug Blocks: 1605053    

Description Sam Fowler 2018-07-20 04:49:23 UTC
Apache httpd before version 2.4.34 has a vulnerability in the handling of specially crafted HTTP/2 requests, causing workers to be allocated 60 seconds longer than necessary, leading to worker exhaustion and a denial of service.

This issue only affects servers that have configured and enabled HTTP/2 support, which is not the default


External References:

https://httpd.apache.org/security/vulnerabilities_24.html#CVE-2018-1333

Comment 1 Sam Fowler 2018-07-20 04:50:06 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1605049]

Comment 3 Tomas Hoger 2018-07-20 07:14:27 UTC
HTTP/2 support was first added upstream in version 2.4.17:

https://httpd.apache.org/docs/2.4/mod/mod_http2.html
http://archive.apache.org/dist/httpd/CHANGES_2.4.17

Hence earlier versions can not be affected.  Additionally, upstream lists version 2.4.18 as the first affected.

Comment 9 Scott Gayou 2018-08-14 19:39:35 UTC
httpd24-httpd (2.4.27) appears to be vulnerable. http2 modules are built and loaded by default.

Comment 12 errata-xmlrpc 2018-11-13 08:36:31 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2018:3558 https://access.redhat.com/errata/RHSA-2018:3558

Comment 15 errata-xmlrpc 2019-02-18 16:55:52 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2019:0366 https://access.redhat.com/errata/RHSA-2019:0366

Comment 16 errata-xmlrpc 2019-02-18 16:58:32 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6
  JBoss Core Services on RHEL 7

Via RHSA-2019:0367 https://access.redhat.com/errata/RHSA-2019:0367